summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen2019-08-10 01:56:23 +0200
committer Willy Sudiarto Raharjo2019-08-10 01:56:23 +0200
commit609e71221a966c72b993e108dc6bc9c7a05b2fe1 (patch)
treeae367d7c50e96a07ae92009f4b1e83d19e0e70c5
parent25d7992a5d2b2f2bec1d0ad6ab846a85c6b8a501 (diff)
downloadslackbuilds-609e71221a966c72b993e108dc6bc9c7a05b2fe1.tar.gz
graphics/libplacebo: Added (GPU rendering library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/libplacebo/README5
-rw-r--r--graphics/libplacebo/libplacebo.SlackBuild102
-rw-r--r--graphics/libplacebo/libplacebo.info10
-rw-r--r--graphics/libplacebo/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/graphics/libplacebo/README b/graphics/libplacebo/README
new file mode 100644
index 0000000000..a428084a15
--- /dev/null
+++ b/graphics/libplacebo/README
@@ -0,0 +1,5 @@
+libplacebo is essentially the core rendering algorithms and ideas of mpv
+turned into a library.
+
+libplacebo can be built without the vulkan-sdk and shaderc, but will be
+missing most features.
diff --git a/graphics/libplacebo/libplacebo.SlackBuild b/graphics/libplacebo/libplacebo.SlackBuild
new file mode 100644
index 0000000000..f1d6a413a6
--- /dev/null
+++ b/graphics/libplacebo/libplacebo.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for libplacebo
+
+# Copyright 2019 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libplacebo
+VERSION=${VERSION:-1.18.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.gz
+cd $PRGNAM-v$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "${DEBUG:=0}" != 0 ]; then
+ NDEBUG=false
+ RELEASE=debug
+ SLKCFLAGS="$(printf %s "$SLKCFLAGS" | sed 's/-O2/-O0/')"
+else
+ NDEBUG=true
+ RELEASE=plain
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+meson \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ -Dstrip=$NDEBUG \
+ -Db_ndebug=$NDEBUG \
+ -Dbuildtype=$RELEASE \
+ build
+
+"${NINJA:=ninja}" -C build
+DESTDIR=$PKG "$NINJA" -C build install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/libplacebo/libplacebo.info b/graphics/libplacebo/libplacebo.info
new file mode 100644
index 0000000000..002911368e
--- /dev/null
+++ b/graphics/libplacebo/libplacebo.info
@@ -0,0 +1,10 @@
+PRGNAM="libplacebo"
+VERSION="1.18.0"
+HOMEPAGE="https://code.videolan.org/videolan/libplacebo"
+DOWNLOAD="https://code.videolan.org/videolan/libplacebo/-/archive/v1.18.0/libplacebo-v1.18.0.tar.gz"
+MD5SUM="bc1758d2056092728bd95d9c511d37d1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="meson shaderc"
+MAINTAINER="Hunter Sezen"
+EMAIL="orbea@riseup.net"
diff --git a/graphics/libplacebo/slack-desc b/graphics/libplacebo/slack-desc
new file mode 100644
index 0000000000..cdb54a9292
--- /dev/null
+++ b/graphics/libplacebo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libplacebo: libplacebo (GPU-accelerated video/image rendering primitives library)
+libplacebo:
+libplacebo: libplacebo is essentially the core rendering algorithms and ideas of
+libplacebo: mpv turned into a library.
+libplacebo:
+libplacebo: Homepage: https://code.videolan.org/videolan/libplacebo
+libplacebo:
+libplacebo:
+libplacebo:
+libplacebo:
+libplacebo: